cURL
curl --request GET \
--url https://api.example.com/v1/account/subscriptions/{subscriptionID}import requests
url = "https://api.example.com/v1/account/subscriptions/{subscriptionID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/account/subscriptions/{subscriptionID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/account/subscriptions/{subscriptionID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/account/subscriptions/{subscriptionID}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/account/subscriptions/{subscriptionID}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/account/subscriptions/{subscriptionID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slot": 123,
"label": "<string>",
"plan": "<string>",
"phase": "none",
"daysLeft": 123,
"provisioned": true,
"live": true,
"traffic": {
"usedBytes": 123,
"unlimited": true,
"percent": 50,
"limitBytes": 123
},
"devices": {
"used": 123,
"unlimited": true,
"limit": 123
},
"endsAt": "2023-11-07T05:31:56Z",
"pendingOrderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}account
Get v1accountsubscriptions
GET
/
v1
/
account
/
subscriptions
/
{subscriptionID}
cURL
curl --request GET \
--url https://api.example.com/v1/account/subscriptions/{subscriptionID}import requests
url = "https://api.example.com/v1/account/subscriptions/{subscriptionID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/account/subscriptions/{subscriptionID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/account/subscriptions/{subscriptionID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/account/subscriptions/{subscriptionID}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/account/subscriptions/{subscriptionID}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/account/subscriptions/{subscriptionID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slot": 123,
"label": "<string>",
"plan": "<string>",
"phase": "none",
"daysLeft": 123,
"provisioned": true,
"live": true,
"traffic": {
"usedBytes": 123,
"unlimited": true,
"percent": 50,
"limitBytes": 123
},
"devices": {
"used": 123,
"unlimited": true,
"limit": 123
},
"endsAt": "2023-11-07T05:31:56Z",
"pendingOrderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}Path Parameters
Query Parameters
Available options:
ru, en Response
Subscription
Available options:
none, provisioning, active, expiring_soon, grace, limited, disabled, expired, failed The traffic and device figures were read from Remnawave. When false they are the last observed values and the panel says so.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The unpaid order that opened this subscription, present only while no entitlement has been provisioned. The panel renders the card as "payment pending" with a way to the order rather than as a subscription that is not active.